/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/model/model.hpp>

#include "scenemodule.hpp"

namespace nostalgia::scene {

SceneModule SceneModule::mod;

ox::Vector<foundation::BaseConverter*> SceneModule::converters() const noexcept {
	return {
		&sceneToSceneInstaceConverter,
	};
}

ox::Vector<foundation::PackTransform> SceneModule::packTransforms() const noexcept {
	return {
		foundation::transformRule<SceneDoc, Scene>,
	};
}

}
